-- The following script inserts vendor specific table information into 
-- extended part maint tables used by admin tools like past_part_maint.sh, 
-- add_part.sh and delete_part.sh

-- clean up subclass_table & subclass_map in case there's any data:
truncate table subclass_map;
delete from subclass_table;

-- insert into subclass_table
insert into subclass_table
(id,class_id,name)
(select subclass_table_seq.nextval,id,'traffic'
 from class_table ct
  where lower(ct.name)='part maint'
 );
insert into subclass_table
(id,class_id,name)
(select subclass_table_seq.nextval,id,'sBHDaily'
 from class_table ct
  where lower(ct.name)='part maint'
 );

insert into subclass_table
(id,class_id,name)
(select subclass_table_seq.nextval,id,'sSUMDaily'
 from class_table ct
  where lower(ct.name)='part maint'
 );

insert into subclass_table
(id,class_id,name)
(select subclass_table_seq.nextval,id,'sSUMWeekly'
 from class_table ct
  where lower(ct.name)='part maint'
 );

insert into subclass_table
(id,class_id,name)
(select subclass_table_seq.nextval,id,'sSUMMonthly'
 from class_table ct
  where lower(ct.name)='part maint'
 );

insert into subclass_table
(id,class_id,name)
(select subclass_table_seq.nextval,id,'softalarm'
from class_table  ct
 where lower(ct.name)='part maint');

insert into subclass_table
(id,class_id,name)
(select subclass_table_seq.nextval,id,'scenario'
from class_table  ct
 where lower(ct.name)='part maint');

insert into subclass_table
(id,class_id,name)
(select subclass_table_seq.nextval,id,'EVDO_Config'
 from class_table ct
  where lower(ct.name)='part maint'
 );

-- insert into subclass_map tables

insert into subclass_map
(subclass_id,object_id)
(select id,part_table_id
from subclass_table st, part_tables pt
where st.name='traffic'
and pt.table_name like 'NOR_CFG_%_TAB' and pt.table_name not like 'NOR_CFG_RNCTAB_%_TAB') ;

insert into subclass_map
(subclass_id,object_id)
(select id,part_table_id
from subclass_table st, part_tables pt
where st.name='EVDO_Config'
and pt.table_name like 'NOR_CFG_RNCTAB_%_TAB') ;


insert into subclass_map
(subclass_id,object_id)
(select id,part_table_id
from subclass_table st, part_tables pt
where st.name='traffic'
and pt.table_name like 'NOR_%_ST_TAB');

insert into subclass_map
(subclass_id,object_id)
(select id,part_table_id
from subclass_table st, part_tables pt
where st.name='traffic'
and pt.table_name like 'NOR_TF%TAB');

insert into subclass_map
(subclass_id,object_id)
(select id,part_table_id
from subclass_table st, part_tables pt
where st.name='sBHDaily'
and pt.table_name like 'NOR_TF%DBH');

insert into subclass_map
(subclass_id,object_id)
(select id,part_table_id
from subclass_table st, part_tables pt
where st.name='sBHDaily'
and pt.table_name like 'RG_STORE%');

insert into subclass_map
(subclass_id,object_id)
(select id,part_table_id
from subclass_table st, part_tables pt
where st.name='sSUMDaily'
and pt.table_name like 'NOR_TF%DSM');

-- Added DXC and DXS table entries as a part of core 8.0.4.4 summation enhancements

insert into subclass_map
(subclass_id,object_id)
(select id,part_table_id
from subclass_table st, part_tables pt
where st.name='sSUMDaily'
and pt.table_name like 'NOR_TF%DXC');

insert into subclass_map
(subclass_id,object_id)
(select id,part_table_id
from subclass_table st, part_tables pt
where st.name='sSUMDaily'
and pt.table_name like 'NOR_TF%DXS');

insert into subclass_map
(subclass_id,object_id)
(select id,part_table_id
from subclass_table st, part_tables pt
where st.name='sSUMWeekly'
and pt.table_name like 'NOR_TF%WSM');

insert into subclass_map
(subclass_id,object_id)
(select id,part_table_id
from subclass_table st, part_tables pt
where st.name='sSUMMonthly'
and pt.table_name like 'NOR_TF%MSM');

insert into subclass_map
(subclass_id,object_id)
(select id,part_table_id
from subclass_table st, part_tables pt
where st.name='softalarm'
and pt.table_name = 'SA_ARCHIVE');

insert into subclass_map
(subclass_id,object_id)
(select id,part_table_id
from subclass_table st, part_tables pt
where st.name='scenario'
and pt.table_name = 'AD_LOADING_REC_TAB');

commit;

exit
